committing changes in /etc made by "apt install network-manager-openvpn"

Packages with configuration changes:
+libccid 1.4.34-1 amd64
+opensc 0.21.0-1 amd64
+openvpn 2.5.1-3 amd64
+pcscd 1.9.1-1 amd64

Package changes:
+easy-rsa 3.0.8-1 all
+libccid 1.4.34-1 amd64
+liblzo2-2 2.10-2 amd64
+libpkcs11-helper1 1.27-1 amd64
+network-manager-openvpn 1.8.12-2 amd64
+opensc 0.21.0-1 amd64
+opensc-pkcs11 0.21.0-1 amd64
+openvpn 2.5.1-3 amd64
+pcscd 1.9.1-1 amd64
This commit is contained in:
root
2022-10-11 08:34:17 +02:00
parent 8a2dbc6263
commit 5673ed2a23
34 changed files with 2246 additions and 0 deletions
+16
View File
@@ -38,6 +38,8 @@ mkdir -p './libpaper.d'
mkdir -p './mate-settings-daemon/xrandr'
mkdir -p './modprobe.d'
mkdir -p './network/interfaces.d'
mkdir -p './openvpn/client'
mkdir -p './openvpn/server'
mkdir -p './polkit-1/localauthority/10-vendor.d'
mkdir -p './polkit-1/localauthority/20-org.d'
mkdir -p './polkit-1/localauthority/30-site.d'
@@ -740,6 +742,7 @@ maybe chmod 0644 'default/nfs-common'
maybe chmod 0644 'default/nss'
maybe chmod 0644 'default/ntp'
maybe chmod 0644 'default/omd'
maybe chmod 0644 'default/openvpn'
maybe chmod 0644 'default/rpcbind'
maybe chmod 0644 'default/rsync'
maybe chmod 0644 'default/saned'
@@ -961,6 +964,8 @@ maybe chmod 0755 'init.d/lvm2-lvmpolld'
maybe chmod 0755 'init.d/networking'
maybe chmod 0755 'init.d/nfs-common'
maybe chmod 0755 'init.d/ntp'
maybe chmod 0755 'init.d/openvpn'
maybe chmod 0755 'init.d/pcscd'
maybe chmod 0755 'init.d/plymouth'
maybe chmod 0755 'init.d/plymouth-log'
maybe chmod 0755 'init.d/postfix'
@@ -1047,6 +1052,7 @@ maybe chmod 0644 'libaudit.conf'
maybe chmod 0755 'libblockdev'
maybe chmod 0755 'libblockdev/conf.d'
maybe chmod 0644 'libblockdev/conf.d/00-default.cfg'
maybe chmod 0644 'libccid_Info.plist'
maybe chmod 0755 'libnl-3'
maybe chmod 0644 'libnl-3/classid'
maybe chmod 0644 'libnl-3/pktloc'
@@ -1160,6 +1166,7 @@ maybe chmod 0644 'netplan/01-netcfg.yaml'
maybe chmod 0755 'network'
maybe chmod 0755 'network/if-down.d'
maybe chmod 0755 'network/if-down.d/avahi-autoipd'
maybe chmod 0755 'network/if-down.d/openvpn'
maybe chmod 0755 'network/if-down.d/postfix'
maybe chmod 0755 'network/if-post-down.d'
maybe chmod 0755 'network/if-post-down.d/wireless-tools'
@@ -1167,6 +1174,7 @@ maybe chmod 0755 'network/if-pre-up.d'
maybe chmod 0755 'network/if-pre-up.d/wireless-tools'
maybe chmod 0755 'network/if-up.d'
maybe chmod 0755 'network/if-up.d/avahi-autoipd'
maybe chmod 0755 'network/if-up.d/openvpn'
maybe chmod 0755 'network/if-up.d/postfix'
maybe chmod 0644 'network/interfaces'
maybe chmod 0755 'network/interfaces.d'
@@ -1178,6 +1186,12 @@ maybe chmod 0755 'openal'
maybe chmod 0644 'openal/alsoft.conf'
maybe chmod 0755 'openni2'
maybe chmod 0644 'openni2/OpenNI.ini'
maybe chmod 0755 'opensc'
maybe chmod 0644 'opensc/opensc.conf'
maybe chmod 0755 'openvpn'
maybe chmod 0755 'openvpn/client'
maybe chmod 0755 'openvpn/server'
maybe chmod 0755 'openvpn/update-resolv-conf'
maybe chmod 0755 'opt'
maybe chmod 0755 'opt/chrome'
maybe chmod 0755 'opt/chrome/policies'
@@ -1352,6 +1366,8 @@ maybe chmod 0755 'rc4.d'
maybe chmod 0755 'rc5.d'
maybe chmod 0755 'rc6.d'
maybe chmod 0755 'rcS.d'
maybe chmod 0755 'reader.conf.d'
maybe chmod 0644 'reader.conf.d/libccidtwin'
maybe chmod 0644 'reportbug.conf'
maybe chmod 0644 'request-key.conf'
maybe chmod 0755 'request-key.d'
+36
View File
@@ -0,0 +1,36 @@
# This is the configuration file for /etc/init.d/openvpn
#
# Start only these VPNs automatically via init script.
# Allowed values are "all", "none" or space separated list of
# names of the VPNs. If empty, "all" is assumed.
# The VPN name refers to the VPN configutation file name.
# i.e. "home" would be /etc/openvpn/home.conf
#
# If you're running systemd, changing this variable will
# require running "systemctl daemon-reload" followed by
# a restart of the openvpn service (if you removed entries
# you may have to stop those manually)
#
#AUTOSTART="all"
#AUTOSTART="none"
#AUTOSTART="home office"
#
# WARNING: If you're running systemd the rest of the
# options in this file are ignored.
#
# Refresh interval (in seconds) of default status files
# located in /var/run/openvpn.$NAME.status
# Defaults to 10, 0 disables status file generation
#
#STATUSREFRESH=10
#STATUSREFRESH=0
# Optional arguments to openvpn's command line
OPTARGS=""
#
# If you need openvpn running after sendsigs, i.e.
# to let umountnfs work over the vpn, set OMIT_SENDSIGS
# to 1 and include umountnfs as Required-Stop: in openvpn's
# init.d script (remember to run insserv after that)
#
OMIT_SENDSIGS=0
+1
View File
@@ -75,3 +75,4 @@ tss:x:130:
docker:x:998:
debian-tor:x:131:
cmk-agent:x:997:
nm-openvpn:x:132:
+1
View File
@@ -74,3 +74,4 @@ _flatpak:x:129:
tss:x:130:
docker:x:998:
debian-tor:x:131:
cmk-agent:x:997:
+1
View File
@@ -75,3 +75,4 @@ tss:!::
docker:!::
debian-tor:!::
cmk-agent:!::
nm-openvpn:!::
+1
View File
@@ -74,3 +74,4 @@ _flatpak:!::
tss:!::
docker:!::
debian-tor:!::
cmk-agent:!::
Executable
+298
View File
@@ -0,0 +1,298 @@
#!/bin/sh -e
### BEGIN INIT INFO
# Provides: openvpn
# Required-Start: $network $remote_fs $syslog
# Required-Stop: $network $remote_fs $syslog
# Should-Start: network-manager
# Should-Stop: network-manager
# X-Start-Before: $x-display-manager gdm kdm xdm wdm ldm sdm nodm
# X-Interactive: true
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Openvpn VPN service
# Description: This script will start OpenVPN tunnels as specified
# in /etc/default/openvpn and /etc/openvpn/*.conf
### END INIT INFO
# Original version by Robert Leslie
# <rob@mars.org>, edited by iwj and cs
# Modified for openvpn by Alberto Gonzalez Iniesta <agi@inittab.org>
# Modified for restarting / starting / stopping single tunnels by Richard Mueller <mueller@teamix.net>
. /lib/lsb/init-functions
test $DEBIAN_SCRIPT_DEBUG && set -v -x
DAEMON=/usr/sbin/openvpn
DESC="virtual private network daemon"
CONFIG_DIR=/etc/openvpn
test -x $DAEMON || exit 0
test -d $CONFIG_DIR || exit 0
# Source defaults file; edit that file to configure this script.
AUTOSTART="all"
STATUSREFRESH=10
OMIT_SENDSIGS=0
if test -e /etc/default/openvpn ; then
. /etc/default/openvpn
fi
start_vpn () {
if grep -q '^[ ]*daemon' $CONFIG_DIR/$NAME.conf ; then
# daemon already given in config file
DAEMONARG=
else
# need to daemonize
DAEMONARG="--daemon ovpn-$NAME"
fi
if grep -q '^[ ]*status ' $CONFIG_DIR/$NAME.conf ; then
# status file already given in config file
STATUSARG=""
elif test $STATUSREFRESH -eq 0 ; then
# default status file disabled in /etc/default/openvpn
STATUSARG=""
else
# prepare default status file
STATUSARG="--status /run/openvpn/$NAME.status $STATUSREFRESH"
fi
# tun using the "subnet" topology confuses the routing code that wrongly
# emits ICMP redirects for client to client communications
SAVED_DEFAULT_SEND_REDIRECTS=0
if grep -q '^[[:space:]]*dev[[:space:]]*tun' $CONFIG_DIR/$NAME.conf && \
grep -q '^[[:space:]]*topology[[:space:]]*subnet' $CONFIG_DIR/$NAME.conf ; then
# When using "client-to-client", OpenVPN routes the traffic itself without
# involving the TUN/TAP interface so no ICMP redirects are sent
if ! grep -q '^[[:space:]]*client-to-client' $CONFIG_DIR/$NAME.conf ; then
sysctl -w net.ipv4.conf.all.send_redirects=0 > /dev/null
# Save the default value for send_redirects before disabling it
# to make sure the tun device is created with send_redirects disabled
SAVED_DEFAULT_SEND_REDIRECTS=$(sysctl -n net.ipv4.conf.default.send_redirects)
if [ "$SAVED_DEFAULT_SEND_REDIRECTS" -ne 0 ]; then
sysctl -w net.ipv4.conf.default.send_redirects=0 > /dev/null
fi
fi
fi
log_progress_msg "$NAME"
STATUS=0
start-stop-daemon --start --quiet --oknodo \
--pidfile /run/openvpn/$NAME.pid \
--exec $DAEMON -- $OPTARGS --writepid /run/openvpn/$NAME.pid \
$DAEMONARG $STATUSARG --cd $CONFIG_DIR \
--config $CONFIG_DIR/$NAME.conf || STATUS=1
[ "$OMIT_SENDSIGS" -ne 1 ] || ln -s /run/openvpn/$NAME.pid /run/sendsigs.omit.d/openvpn.$NAME.pid
# Set the back the original default value of send_redirects if it was changed
if [ "$SAVED_DEFAULT_SEND_REDIRECTS" -ne 0 ]; then
sysctl -w net.ipv4.conf.default.send_redirects=$SAVED_DEFAULT_SEND_REDIRECTS > /dev/null
fi
}
stop_vpn () {
start-stop-daemon --stop --quiet --oknodo \
--pidfile $PIDFILE --exec $DAEMON --retry 10
if [ "$?" -eq 0 ]; then
rm -f $PIDFILE
[ "$OMIT_SENDSIGS" -ne 1 ] || rm -f /run/sendsigs.omit.d/openvpn.$NAME.pid
rm -f /run/openvpn/$NAME.status 2> /dev/null
fi
}
case "$1" in
start)
log_daemon_msg "Starting $DESC"
# first create /run directory so it's present even
# when no VPN are autostarted by this script, but later
# by systemd openvpn@.service
mkdir -p /run/openvpn
# autostart VPNs
if test -z "$2" ; then
# check if automatic startup is disabled by AUTOSTART=none
if test "x$AUTOSTART" = "xnone" -o -z "$AUTOSTART" ; then
log_warning_msg " Autostart disabled."
exit 0
fi
if test -z "$AUTOSTART" -o "x$AUTOSTART" = "xall" ; then
# all VPNs shall be started automatically
for CONFIG in `cd $CONFIG_DIR; ls *.conf 2> /dev/null`; do
NAME=${CONFIG%%.conf}
start_vpn
done
else
# start only specified VPNs
for NAME in $AUTOSTART ; do
if test -e $CONFIG_DIR/$NAME.conf ; then
start_vpn
else
log_failure_msg "No such VPN: $NAME"
STATUS=1
fi
done
fi
#start VPNs from command line
else
while shift ; do
[ -z "$1" ] && break
if test -e $CONFIG_DIR/$1.conf ; then
NAME=$1
start_vpn
else
log_failure_msg " No such VPN: $1"
STATUS=1
fi
done
fi
log_end_msg ${STATUS:-0}
;;
stop)
log_daemon_msg "Stopping $DESC"
if test -z "$2" ; then
for PIDFILE in `ls /run/openvpn/*.pid 2> /dev/null`; do
NAME=`echo $PIDFILE | cut -c14-`
NAME=${NAME%%.pid}
stop_vpn
log_progress_msg "$NAME"
done
else
while shift ; do
[ -z "$1" ] && break
if test -e /run/openvpn/$1.pid ; then
PIDFILE=`ls /run/openvpn/$1.pid 2> /dev/null`
NAME=`echo $PIDFILE | cut -c14-`
NAME=${NAME%%.pid}
stop_vpn
log_progress_msg "$NAME"
else
log_failure_msg " (failure: No such VPN is running: $1)"
fi
done
fi
log_end_msg 0
;;
# Only 'reload' running VPNs. New ones will only start with 'start' or 'restart'.
reload|force-reload)
log_daemon_msg "Reloading $DESC"
for PIDFILE in `ls /run/openvpn/*.pid 2> /dev/null`; do
NAME=`echo $PIDFILE | cut -c14-`
NAME=${NAME%%.pid}
# If openvpn if running under a different user than root we'll need to restart
if egrep '^[[:blank:]]*user[[:blank:]]' $CONFIG_DIR/$NAME.conf > /dev/null 2>&1 ; then
stop_vpn
start_vpn
log_progress_msg "(restarted)"
else
kill -HUP `cat $PIDFILE` || true
log_progress_msg "$NAME"
fi
done
log_end_msg 0
;;
# Only 'soft-restart' running VPNs. New ones will only start with 'start' or 'restart'.
soft-restart)
log_daemon_msg "$DESC sending SIGUSR1"
for PIDFILE in `ls /run/openvpn/*.pid 2> /dev/null`; do
NAME=`echo $PIDFILE | cut -c14-`
NAME=${NAME%%.pid}
kill -USR1 `cat $PIDFILE` || true
log_progress_msg "$NAME"
done
log_end_msg 0
;;
restart)
shift
$0 stop ${@}
$0 start ${@}
;;
cond-restart)
log_daemon_msg "Restarting $DESC."
for PIDFILE in `ls /run/openvpn/*.pid 2> /dev/null`; do
NAME=`echo $PIDFILE | cut -c14-`
NAME=${NAME%%.pid}
stop_vpn
start_vpn
done
log_end_msg 0
;;
status)
GLOBAL_STATUS=0
if test -z "$2" ; then
# We want status for all defined VPNs.
# Returns success if all autostarted VPNs are defined and running
if test "x$AUTOSTART" = "xnone" ; then
# Consider it a failure if AUTOSTART=none
log_warning_msg "No VPN autostarted"
GLOBAL_STATUS=1
else
if ! test -z "$AUTOSTART" -o "x$AUTOSTART" = "xall" ; then
# Consider it a failure if one of the autostarted VPN is not defined
for VPN in $AUTOSTART ; do
if ! test -f $CONFIG_DIR/$VPN.conf ; then
log_warning_msg "VPN '$VPN' is in AUTOSTART but is not defined"
GLOBAL_STATUS=1
fi
done
fi
fi
for CONFIG in `cd $CONFIG_DIR; ls *.conf 2> /dev/null`; do
NAME=${CONFIG%%.conf}
# Is it an autostarted VPN ?
if test -z "$AUTOSTART" -o "x$AUTOSTART" = "xall" ; then
AUTOVPN=1
else
if test "x$AUTOSTART" = "xnone" ; then
AUTOVPN=0
else
AUTOVPN=0
for VPN in $AUTOSTART; do
if test "x$VPN" = "x$NAME" ; then
AUTOVPN=1
fi
done
fi
fi
if test "x$AUTOVPN" = "x1" ; then
# If it is autostarted, then it contributes to global status
status_of_proc -p /run/openvpn/${NAME}.pid openvpn "VPN '${NAME}'" || GLOBAL_STATUS=1
else
status_of_proc -p /run/openvpn/${NAME}.pid openvpn "VPN '${NAME}' (non autostarted)" || true
fi
done
else
# We just want status for specified VPNs.
# Returns success if all specified VPNs are defined and running
while shift ; do
[ -z "$1" ] && break
NAME=$1
if test -e $CONFIG_DIR/$NAME.conf ; then
# Config exists
status_of_proc -p /run/openvpn/${NAME}.pid openvpn "VPN '${NAME}'" || GLOBAL_STATUS=1
else
# Config does not exist
log_warning_msg "VPN '$NAME': missing $CONFIG_DIR/$NAME.conf file !"
GLOBAL_STATUS=1
fi
done
fi
exit $GLOBAL_STATUS
;;
*)
echo "Usage: $0 {start|stop|reload|restart|force-reload|cond-restart|soft-restart|status}" >&2
exit 1
;;
esac
exit 0
# vim:set ai sts=2 sw=2 tw=0:
Executable
+146
View File
@@ -0,0 +1,146 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: pcscd
# Required-Start: $local_fs $remote_fs $syslog
# Required-Stop: $local_fs $remote_fs $syslog
# Should-Start: udev
# Should-Stop: udev
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Daemon to access a smart card using PC/SC
# Description: The PC/SC daemon is used to dynamically
# allocate/deallocate reader drivers at runtime and manage
# connections to the readers.
### END INIT INFO
# Authors:
# Carlos Prados Bocos <cprados@debian.org>
# Ludovic Rousseau <rousseau@debian.org>
# Do NOT "set -e"
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="PCSC Lite resource manager"
NAME=pcscd
DAEMON=/usr/sbin/$NAME
IPCDIR=/var/run/pcscd
PIDFILE=$IPCDIR/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# if you need to pass arguments to pcscd you should edit the file
# /etc/default/pcscd and add a line
# DAEMON_ARGS="--your-option"
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
# get LANG variable (code from /etc/init.d/keymap.sh)
ENV_FILE="none"
[ -r /etc/environment ] && ENV_FILE="/etc/environment"
[ -r /etc/default/locale ] && ENV_FILE="/etc/default/locale"
value=$(egrep "^[^#]*LANG=" $ENV_FILE | tail -n1 | cut -d= -f2)
eval LANG=$value
#
# Function that starts the daemon/service
#
do_start()
{
# create $IPCDIR with correct access rights
if [ ! -d $IPCDIR ]
then
rm -rf $IPCDIR
mkdir $IPCDIR
fi
chmod 0755 $IPCDIR
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=3 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" && exit 0 || exit $?
;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
+1598
View File
File diff suppressed because it is too large Load Diff
+21
View File
@@ -0,0 +1,21 @@
#!/bin/sh
OPENVPN=/usr/sbin/openvpn
OPENVPN_INIT=/etc/init.d/openvpn
SYSTEMCTL=/bin/systemctl
SYSTEMD=/run/systemd/system
if [ ! -x $OPENVPN ]; then
exit 0
fi
if [ -n "$IF_OPENVPN" ]; then
for vpn in $IF_OPENVPN; do
## check systemd present
if [ -d $SYSTEMD ]; then
$SYSTEMCTL stop openvpn@$vpn
else
$OPENVPN_INIT stop $vpn
fi
done
fi
+21
View File
@@ -0,0 +1,21 @@
#!/bin/sh
OPENVPN=/usr/sbin/openvpn
OPENVPN_INIT=/etc/init.d/openvpn
SYSTEMCTL=/bin/systemctl
SYSTEMD=/run/systemd/system
if [ ! -x $OPENVPN ]; then
exit 0
fi
if [ -n "$IF_OPENVPN" ]; then
for vpn in $IF_OPENVPN; do
## check systemd present
if [ -d $SYSTEMD ]; then
$SYSTEMCTL --no-block start openvpn@$vpn
else
$OPENVPN_INIT start $vpn
fi
done
fi
+7
View File
@@ -0,0 +1,7 @@
app default {
# debug = 3;
# debug_file = opensc-debug.txt;
framework pkcs15 {
# use_file_caching = true;
}
}
+63
View File
@@ -0,0 +1,63 @@
#!/bin/bash
#
# Parses DHCP options from openvpn to update resolv.conf
# To use set as 'up' and 'down' script in your openvpn *.conf:
# up /etc/openvpn/update-resolv-conf
# down /etc/openvpn/update-resolv-conf
#
# Used snippets of resolvconf script by Thomas Hood and Chris Hanson.
# Licensed under the GNU GPL. See /usr/share/common-licenses/GPL.
#
# Example envs set from openvpn:
#
# foreign_option_1='dhcp-option DNS 193.43.27.132'
# foreign_option_2='dhcp-option DNS 193.43.27.133'
# foreign_option_3='dhcp-option DOMAIN be.bnc.ch'
#
if [ ! -x /sbin/resolvconf ] ; then
logger "[OpenVPN:update-resolve-conf] missing binary /sbin/resolvconf";
exit 0;
fi
[ "$script_type" ] || exit 0
[ "$dev" ] || exit 0
split_into_parts()
{
part1="$1"
part2="$2"
part3="$3"
}
case "$script_type" in
up)
NMSRVRS=""
SRCHS=""
foreign_options=$(printf '%s\n' ${!foreign_option_*} | sort -t _ -k 3 -g)
for optionvarname in ${foreign_options} ; do
option="${!optionvarname}"
echo "$option"
split_into_parts $option
if [ "$part1" = "dhcp-option" ] ; then
if [ "$part2" = "DNS" ] ; then
NMSRVRS="${NMSRVRS:+$NMSRVRS }$part3"
elif [ "$part2" = "DOMAIN" ] ; then
SRCHS="${SRCHS:+$SRCHS }$part3"
fi
fi
done
R=""
[ "$SRCHS" ] && R="search $SRCHS
"
for NS in $NMSRVRS ; do
R="${R}nameserver $NS
"
done
echo -n "$R" | /sbin/resolvconf -a "${dev}.openvpn"
;;
down)
/sbin/resolvconf -d "${dev}.openvpn"
;;
esac
+1
View File
@@ -45,3 +45,4 @@ _flatpak:x:121:129:Flatpak system-wide installation helper,,,:/nonexistent:/usr/
tss:x:122:130:TPM software stack,,,:/var/lib/tpm:/bin/false
debian-tor:x:123:131::/var/lib/tor:/bin/false
cmk-agent:x:997:997:Checkmk agent system user:/var/lib/cmk-agent:/bin/false
nm-openvpn:x:124:132:NetworkManager OpenVPN,,,:/var/lib/openvpn/chroot:/usr/sbin/nologin
+2
View File
@@ -44,3 +44,5 @@ pi:x:1001:1002::/home/pi:/bin/bash
_flatpak:x:121:129:Flatpak system-wide installation helper,,,:/nonexistent:/usr/sbin/nologin
tss:x:122:130:TPM software stack,,,:/var/lib/tpm:/bin/false
debian-tor:x:123:131::/var/lib/tor:/bin/false
cmk-agent:x:997:997:Checkmk agent system user:/var/lib/cmk-agent:/bin/false
nm-openvpn:x:124:132::/var/lib/openvpn/chroot:/usr/sbin/nologin
+1
View File
@@ -0,0 +1 @@
../init.d/openvpn
+1
View File
@@ -0,0 +1 @@
../init.d/pcscd
+1
View File
@@ -0,0 +1 @@
../init.d/openvpn
+1
View File
@@ -0,0 +1 @@
../init.d/pcscd
+1
View File
@@ -0,0 +1 @@
../init.d/openvpn
+1
View File
@@ -0,0 +1 @@
../init.d/pcscd
+1
View File
@@ -0,0 +1 @@
../init.d/openvpn
+1
View File
@@ -0,0 +1 @@
../init.d/pcscd
+1
View File
@@ -0,0 +1 @@
../init.d/openvpn
+1
View File
@@ -0,0 +1 @@
../init.d/pcscd
+1
View File
@@ -0,0 +1 @@
../init.d/openvpn
+1
View File
@@ -0,0 +1 @@
../init.d/pcscd
+1
View File
@@ -0,0 +1 @@
../init.d/openvpn
+1
View File
@@ -0,0 +1 @@
../init.d/pcscd
+14
View File
@@ -0,0 +1,14 @@
# Gemalto reader with serial communication
# - n is the serial port to use n in [0..3]
# - reader is the reader name. It is needed for multi-slot readers.
# Possible reader values are:
# GemCorePOSPro
# GemCoreSIMPro
# GemCoreSIMPro2
# GemPCPinPad
# GemPCTwin (default value)
# SEC1210 (Dual slot Reader)
# example: /dev/ttyS0:GemPCPinPad
#DEVICENAME /dev/ttySn[:reader]
#FRIENDLYNAME "GemPCTwin serial"
#LIBPATH /usr/lib/pcsc/drivers/serial/libccidtwin.so
+1
View File
@@ -45,3 +45,4 @@ _flatpak:*:19118:0:99999:7:::
tss:*:19118:0:99999:7:::
debian-tor:*:19128:0:99999:7:::
cmk-agent:!:19137::::::
nm-openvpn:*:19276:0:99999:7:::
+2
View File
@@ -44,3 +44,5 @@ pi:$y$j9T$OvZKYo/X0taV3uBG47Fxu0$CAvPg3ND5EmSJDmuurGqt1HxmNJ7y392RjYB5934Qs1:191
_flatpak:*:19118:0:99999:7:::
tss:*:19118:0:99999:7:::
debian-tor:*:19128:0:99999:7:::
cmk-agent:!:19137::::::
nm-openvpn:*:19276:0:99999:7:::
@@ -0,0 +1 @@
/lib/systemd/system/openvpn.service
+1
View File
@@ -0,0 +1 @@
/lib/systemd/system/pcscd.socket